Get Digitalocean Access Info Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/access-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/access-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/access-info \
--header 'Authorization: Bearer <token>'{
"bastion_host": "<string>",
"bastion_ip": "<string>",
"bastion_port": 0,
"bastion_user": "",
"cluster_name": "<string>",
"control_plane_ip": "<string>",
"control_plane_ips": [],
"target_user": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}DigitalOcean Clusters
Get Digitalocean Access Info Endpoint
GET
/
api
/
v1
/
clusters
/
digitalocean
/
{cluster_id}
/
access-info
Get Digitalocean Access Info Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/access-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/access-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/access-info \
--header 'Authorization: Bearer <token>'{
"bastion_host": "<string>",
"bastion_ip": "<string>",
"bastion_port": 0,
"bastion_user": "",
"cluster_name": "<string>",
"control_plane_ip": "<string>",
"control_plane_ips": [],
"target_user": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.